TechDraw NewView

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw NewView.png TechDraw NewView

Menu location
TechDraw → View
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw NewProjGroup, TechDraw NewSection


Description

The View tool adds a representation of one or more objects to a Drawing page. This is the basic building block of the TechDraw module. Most other Views are derived in some way from NewView.

TechDraw View example.png

View of a solid box with hidden lines


How to use

  1. Select one or more objects (Body, App::Part, Part::Feature, Draft object, ... See Notes) in the 3D window or tree.
  2. If you have multiple drawing pages in your document, you will also need to select the desired page in the tree.
  3. Press the Techdraw-view.svg View button

View will try to draw anything with a Shape property. You can select Draft objects and PartDesign Bodies also. View will also extract any shapes from objects within an App::Part container or a Group.

Properties

Data

  • DATAX: The view's horizontal position on the page. (1)
  • DATAY: The view's vertical position on the page. (1)
  • DATALockPosition: Prevents Views from being dragged in the Gui when true. The View can still be moved by changing X,Y properties. (1)
  • DATARotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • DATAScaleType: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • DATAScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • DATACaption: Optional short text caption.
  • DATASource: Links to the Drawable Objects to be depicted
  • DATADirection: this vector controls the direction from which you are viewing the object. +X is right, -X is left, +Y is rear, -Y is front (looking into the screen), +Z is up and -Z is down. So a Front view is (0,-1,0) and an isometric view is (1,-1,1). (1)
  • DATAPerspective: True for perspective projection, false for orthogonal projection.
  • DATAFocus: Distance from camera to projection plane for perspective projections. Needs to be adjusted to fit the object. Too far and the perspective is lost, too close and the object is distorted.
  • DATACoarseView: If true, TechDraw will use a polygon approximation to calculate drawing geometry. If false, TechDraw will use a precision algorithm. CoarseView can be much faster for complex models. The quality of the drawing is reduced, since every curve is approximated as a series of short line segments. Vertices are not displayed in CoarseView since each short segment would result in two new Vertices and the display becomes cluttered. Linear Dimensions can be added to a CoarseView, but are unlikely to be useful.
Note: CoarseView is affected by an upstream bug in OCCT (#3332) which causes the View's position on the Page to be slightly off from the specified X,Y values.
  • DATASmooth Visible Lines: Visible Smooth lines on/off.
  • DATASeam Visible Lines: Visible Seam lines on/off.
  • DATAIso Visible Lines: Visible Isometric(u,v) lines on/off.
  • DATAHard Hidden Lines: Hidden lines on/off.
  • DATASmooth Hidden Lines: Hidden Smooth lines on/off.
  • DATASeam Hidden Lines: Hidden Seam lines on/off.
  • DATAIso Hidden Lines: Hidden Isometric(u,v) lines on/off.
  • DATAIso Count: Number of Isometric(u,v) lines to draw on each face.

(1) these properties are common to all View types.

View

  • VIEWKeep Label: Always show View Label if true.
  • VIEWLineWidth: The thickness of visible lines. See Line Groups.
  • VIEWHiddenWidth: The thickness of hidden lines, if enabled.
  • VIEWIsoWidth: The thickness of isometric(u,v) surface lines and Dimension lines.
  • VIEWExtraWidth: not implemented yet.
  • VIEWShowCenters: Circle/arc center marks on/off.
  • VIEWCenterScale: Circular arc center mark size adjustment, if enabled.
  • VIEWHorizCenterLine: Show a horizontal centerline through view.
  • VIEWVertCenterLine: Show a vertical centerline through view.
  • VIEWShowSectionLine: Show/hide section line if applicable.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The New View tool can be used in macros and from the Python console by using the following functions:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)